from pathlib import Path

BASE_CONTENT = Path().home() / "code" / "rawlaw"
STATUTES_PATH: Path = BASE_CONTENT.joinpath("statutes")

from .__main__ import StatuteItem
from .statute_identity import (
    StatuteID,
    TitleConventions,
    get_category_idx,
    get_member,
    get_statute_choices,
    get_title_choices,
)
from .title_provision import (
    MatchedTitleProvision,
    compiler,
    extract_cat_idx_all_titles,
    get_single_cat_idx,
    get_single_formal_title,
    single_match,
    single_search_query,
)
