from .base import NumberedMatcher
from .constitution import Constitution
from .laws import (
    BatasPambansa,
    CommonwealthAct,
    ExecutiveOrder,
    LegacyAct,
    PresidentialDecree,
    RepublicAct,
)
from .legal_code import LegalCode
from .provision import Provision, isolated
from .rules import RulesCourt
from .sc import AdministrativeMatter, BarMatter, ResolutionEnBanc

collection = [
    Constitution.formula,  # named, formula attribute; no construction required
    LegalCode.formula,
    RulesCourt.formula,
    BatasPambansa().formula,  # numbered, need to construct formula
    CommonwealthAct().formula,
    ExecutiveOrder().formula,
    LegacyAct().formula,
    PresidentialDecree().formula,
    RepublicAct().formula,
    AdministrativeMatter().formula,
    BarMatter().formula,
    ResolutionEnBanc().formula,
]

TITLE = rf"({'|'.join(collection)})"
UNIT = rf"({Provision().formula})"
