class RulesCourt:

    special_acronyms = r"""
    (
        CPR\b| # code of professional responsibility
        C\.P\.R\. # code of professional responsibility
    )
    """

    year = r"""
    (
        19[0-9][0-9]| # 1900 to 1999
        2[0-2][0-9][0-9] # 2000 to 2299
    )\s*
    """

    acronym = r"""
    (
        \b
        \(?
        [A-Z]{2,7}
        \)?
        \b
    )\s*
    """

    capitalized_text = r"""
    (
        ( # start group
            [A-Z] # first letter capitalized
            [a-z]* # zero or many small letters
        ) # end group
        \s* # since the word might be
        Rules
    )+
    """

    canons = r"""
    (
        \b
        Canons?
        \s+
        of
        \s+
        (Judicial|Professional)
        \s+
        Ethics
    )
    """

    rule = r"""
    (
        \b
        Rules
        \s+
        of
        \s+
        Court
    )
    """

    formula = rf"""
    (?P<rules_court>
        (
            (1964\s+|1945\s+)?{rule} # Rules of Court
        )|
        (
            {canons} # Canons
        )|
        (
            {year} # 1997
            {capitalized_text} # NLRC
            {rule} # Rules
        )|
        (
            {special_acronyms}
        )
    )
    """
